<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org/">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Des Trucs</title>
</head>

<body>
    <p>Coucou</p>
    <button>Show persons</button>
    <div id="target"></div>


    <script>
        /**
         * depuis le Javascript, on fait ce qu'on appel une requête AJAX, qui est en
         * fait une requête HTTP, vers l'url de notre API Rest, ce qui nous permet de
         * récupérer les données directement dans le Javascript, sans rechargement
         * de page 
         */
        async function fetchPersons() {
            const response = await fetch("/api/person");
            const data = await response.json();


            return data;
        }
        /**
         * Ici, on rajoute un événement sur le bouton pour dire que lorsqu'on click
         * dessus, on va déclencher la requête AJAX et utiliser le résultat de celle
         * ci pour afficher un paragraphe par person récupéré et le mettre dans
         * l'élément avec l'id target
         */
        document.querySelector("button").addEventListener("click", async () => {

            const persons = await fetchPersons();
            const target = document.querySelector("#target");
            target.innerHTML = '';
            for (const person of persons) {
                target.innerHTML += `
                    <p>${person.name} ${person.firstname}</p>
                `   
            }

        });


    </script>
</body>

</html>